/*******************************************************************************
 *  Copyright CONSORTIUM COCKTAIL (www.cocktail.org), 1995, 2008
 *  
 *  This software is governed by the CeCILL license under French law and abiding
 *  by the rules of distribution of free software. You can use, modify and/or
 *  redistribute the software under the terms of the CeCILL license as circulated
 *  by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *  
 *  As a counterpart to the access to the source code and rights to copy, modify
 *  and redistribute granted by the license, users are provided only with a
 *  limited warranty and the software's author, the holder of the economic
 *  rights, and the successive licensors have only limited liability.
 *  
 *  In this respect, the user's attention is drawn to the risks associated with
 *  loading, using, modifying and/or developing or reproducing the software by
 *  the user in light of its specific status of free software, that may mean that
 *  it is complicated to manipulate, and that also therefore means that it is
 *  reserved for developers and experienced professionals having in-depth
 *  computer knowledge. Users are therefore encouraged to load and test the
 *  software's suitability as regards their requirements in conditions enabling
 *  the security of their systems and/or data to be ensured and, more generally,
 *  to use and operate it in the same conditions as regards security.
 *  
 *  The fact that you are presently reading this means that you have had
 *  knowledge of the CeCILL license and that you accept its terms.
 * 
 *******************************************************************************/

package org.cocktail.mangue.client.gui.individu;

import java.awt.BorderLayout;
import java.util.Date;
import java.util.Vector;

import javax.swing.BorderFactory;
import javax.swing.JFrame;
import javax.swing.JScrollPane;
import javax.swing.ListSelectionModel;
import javax.swing.SwingConstants;

import org.cocktail.application.client.swing.TableSorter;
import org.cocktail.application.client.swing.ZEOTable;
import org.cocktail.application.client.swing.ZEOTableModel;
import org.cocktail.application.client.swing.ZEOTableModelColumn;
import org.cocktail.mangue.common.utilities.CocktailConstantes;
import org.cocktail.application.common.utilities.CocktailFormats;
import org.cocktail.mangue.common.utilities.CocktailIcones;
import org.cocktail.mangue.modele.grhum.referentiel.EOStructure;
import org.cocktail.mangue.modele.mangue.individu.EOEnseignement;

import com.webobjects.eointerface.EODisplayGroup;


/**
 *
 * @author  cpinsard
 */
public class HeuresCompView extends JFrame {

	/**
	 * 
	 */
	private static final long serialVersionUID = -6195866169790317637L;
	protected EODisplayGroup eod;
	protected ZEOTable myEOTable;
	protected ZEOTableModel myTableModel;
	protected TableSorter myTableSorter;

	/** Creates new form TemplateJDialog */
	public HeuresCompView(java.awt.Frame parent, EODisplayGroup dg, boolean modal) {
		// super(parent, modal);

		eod = dg;
		initComponents();
		initGui();
	}

	/** This method is called from within the constructor to
	 * initialize the form.
	 * WARNING: Do NOT modify this code. The content of this method is
	 * always regenerated by the Form Editor.
	 */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        viewHeuresComp = new javax.swing.JPanel();
        viewSaisie = new javax.swing.JPanel();
        btnValider = new javax.swing.JButton();
        btnAnnuler = new javax.swing.JButton();
        tfDebut = new javax.swing.JTextField();
        jLabel19 = new javax.swing.JLabel();
        jLabel21 = new javax.swing.JLabel();
        tfFin = new javax.swing.JTextField();
        jLabel20 = new javax.swing.JLabel();
        tfHeures = new javax.swing.JTextField();
        jLabel22 = new javax.swing.JLabel();
        tfStructure = new javax.swing.JTextField();
        btnGetStructure = new javax.swing.JButton();
        btnDelStructure = new javax.swing.JButton();
        viewTable = new javax.swing.JPanel();
        btnModifier = new javax.swing.JButton();
        btnSupprimer = new javax.swing.JButton();
        btnAjouter = new javax.swing.JButton();
        tfTitre = new javax.swing.JTextField();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("SITUATIONS FAMILIALES");

        viewSaisie.setBorder(javax.swing.BorderFactory.createLineBorder(new java.awt.Color(0, 0, 0)));

        btnValider.setText("Valider");
        btnValider.setToolTipText("Valider la saisie");
        btnValider.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnValiderActionPerformed(evt);
            }
        });

        btnAnnuler.setText("Annuler");
        btnAnnuler.setToolTipText("Annuler la saisie");
        btnAnnuler.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnAnnulerActionPerformed(evt);
            }
        });

        tfDebut.setEditable(false);
        tfDebut.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfDebut.setToolTipText("Début");

        jLabel19.setFont(new java.awt.Font("Tahoma", 1, 11));
        jLabel19.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel19.setText("Début");

        jLabel21.setFont(new java.awt.Font("Tahoma", 1, 11)); // NOI18N
        jLabel21.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel21.setText("Fin");

        tfFin.setEditable(false);
        tfFin.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfFin.setToolTipText("Fin");

        jLabel20.setFont(new java.awt.Font("Tahoma", 1, 11));
        jLabel20.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel20.setText("Heures");

        tfHeures.setEditable(false);
        tfHeures.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfHeures.setToolTipText("Libellé Court");

        jLabel22.setFont(new java.awt.Font("Tahoma", 1, 11));
        jLabel22.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel22.setText("Structure");

        tfStructure.setEditable(false);
        tfStructure.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfStructure.setToolTipText("Libellé Court");

        btnGetStructure.setToolTipText("Association d'une structure");

        btnDelStructure.setToolTipText("Suppression de la structure sélectionnée");

        org.jdesktop.layout.GroupLayout viewSaisieLayout = new org.jdesktop.layout.GroupLayout(viewSaisie);
        viewSaisie.setLayout(viewSaisieLayout);
        viewSaisieLayout.setHorizontalGroup(
            viewSaisieLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, viewSaisieLayout.createSequentialGroup()
                .add(viewSaisieLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, viewSaisieLayout.createSequentialGroup()
                        .add(25, 25, 25)
                        .add(viewSaisieLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(viewSaisieLayout.createSequentialGroup()
                                .add(jLabel22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 81, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(18, 18, 18)
                                .add(tfStructure, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 363, Short.MAX_VALUE))
                            .add(viewSaisieLayout.createSequentialGroup()
                                .add(jLabel20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 81, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(18, 18, 18)
                                .add(tfHeures, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 92, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(viewSaisieLayout.createSequentialGroup()
                                .add(jLabel19, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 81, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(18, 18, 18)
                                .add(tfDebut, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 92, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(jLabel21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 81, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(18, 18, 18)
                                .add(tfFin, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 92, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
                    .add(viewSaisieLayout.createSequentialGroup()
                        .addContainerGap(391, Short.MAX_VALUE)
                        .add(btnAnnuler, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 96, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(viewSaisieLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(btnValider, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 96, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(viewSaisieLayout.createSequentialGroup()
                        .add(btnGetStructure, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnDelStructure, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap())
        );
        viewSaisieLayout.setVerticalGroup(
            viewSaisieLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(viewSaisieLayout.createSequentialGroup()
                .addContainerGap()
                .add(viewSaisieLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel19)
                    .add(tfDebut, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel21)
                    .add(tfFin, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(18, 18, 18)
                .add(viewSaisieLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel20)
                    .add(tfHeures, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(18, 18, 18)
                .add(viewSaisieLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(viewSaisieLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(jLabel22)
                        .add(tfStructure, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(btnGetStructure, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btnDelStructure, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 50, Short.MAX_VALUE)
                .add(viewSaisieLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(btnAnnuler)
                    .add(btnValider))
                .addContainerGap())
        );

        viewTable.setLayout(new java.awt.BorderLayout());

        btnModifier.setToolTipText("Modification des heures sélectionnées");

        btnSupprimer.setToolTipText("Suppression des heures sélectionnées");

        btnAjouter.setToolTipText("Ajout des heures");

        org.jdesktop.layout.GroupLayout viewHeuresCompLayout = new org.jdesktop.layout.GroupLayout(viewHeuresComp);
        viewHeuresComp.setLayout(viewHeuresCompLayout);
        viewHeuresCompLayout.setHorizontalGroup(
            viewHeuresCompLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(viewHeuresCompLayout.createSequentialGroup()
                .addContainerGap()
                .add(viewHeuresCompLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, viewSaisie, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, viewTable, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 601, Short.MAX_VALUE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(viewHeuresCompLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(btnSupprimer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btnModifier, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btnAjouter, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
        );
        viewHeuresCompLayout.setVerticalGroup(
            viewHeuresCompLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(viewHeuresCompLayout.createSequentialGroup()
                .addContainerGap()
                .add(viewHeuresCompLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(viewHeuresCompLayout.createSequentialGroup()
                        .add(btnAjouter, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnModifier, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnSupprimer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(viewTable, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 116, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(11, 11, 11)
                .add(viewSaisie, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(28, Short.MAX_VALUE))
        );

        tfTitre.setBackground(new java.awt.Color(153, 153, 255));
        tfTitre.setEditable(false);
        tfTitre.setFont(new java.awt.Font("Times New Roman", 0, 14));
        tfTitre.setForeground(new java.awt.Color(255, 255, 204));
        tfTitre.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfTitre.setText("HEURES COMPLEMENTAIRES");
        tfTitre.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        tfTitre.setFocusable(false);
        tfTitre.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfTitreActionPerformed(evt);
            }
        });

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(tfTitre, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 669, Short.MAX_VALUE)
            .add(layout.createSequentialGroup()
                .add(10, 10, 10)
                .add(viewHeuresComp, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(tfTitre, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(18, 18, 18)
                .add(viewHeuresComp, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .add(38, 38, 38))
        );

        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-685)/2, (screenSize.height-476)/2, 685, 476);
    }// </editor-fold>//GEN-END:initComponents

	private void btnValiderActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnValiderActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_btnValiderActionPerformed

	private void btnAnnulerActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnAnnulerActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_btnAnnulerActionPerformed

	private void tfTitreActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfTitreActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_tfTitreActionPerformed

	/**
	 * @param args the command line arguments
	 */
	public static void main(String args[]) {
		java.awt.EventQueue.invokeLater(new Runnable() {
			public void run() {
				HeuresCompView dialog = new HeuresCompView(new javax.swing.JFrame(), null, true);
				dialog.addWindowListener(new java.awt.event.WindowAdapter() {
					public void windowClosing(java.awt.event.WindowEvent e) {
						System.exit(0);
					}
				});
				dialog.setVisible(true);
			}
		});
	}

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnAjouter;
    protected javax.swing.JButton btnAnnuler;
    private javax.swing.JButton btnDelStructure;
    private javax.swing.JButton btnGetStructure;
    private javax.swing.JButton btnModifier;
    private javax.swing.JButton btnSupprimer;
    protected javax.swing.JButton btnValider;
    private javax.swing.JLabel jLabel19;
    private javax.swing.JLabel jLabel20;
    private javax.swing.JLabel jLabel21;
    private javax.swing.JLabel jLabel22;
    protected javax.swing.JTextField tfDebut;
    protected javax.swing.JTextField tfFin;
    protected javax.swing.JTextField tfHeures;
    protected javax.swing.JTextField tfStructure;
    private javax.swing.JTextField tfTitre;
    private javax.swing.JPanel viewHeuresComp;
    private javax.swing.JPanel viewSaisie;
    private javax.swing.JPanel viewTable;
    // End of variables declaration//GEN-END:variables

	private void initGui() {
		setTitle("");
		btnAjouter.setIcon(CocktailIcones.ICON_ADD);
		btnModifier.setIcon(CocktailIcones.ICON_UPDATE);
		btnSupprimer.setIcon(CocktailIcones.ICON_DELETE);

		btnValider.setIcon(CocktailIcones.ICON_VALID);
		btnAnnuler.setIcon(CocktailIcones.ICON_CANCEL);

		btnGetStructure.setIcon(CocktailIcones.ICON_LOUPE_16);
		btnDelStructure.setIcon(CocktailIcones.ICON_DELETE);

		Vector<ZEOTableModelColumn> myCols = new Vector<ZEOTableModelColumn>();

		ZEOTableModelColumn col = new ZEOTableModelColumn(eod, EOEnseignement.DATE_DEBUT_KEY, "Début", 75);
		col.setAlignment(SwingConstants.CENTER);
		col.setFormatDisplay(CocktailFormats.FORMAT_DATE_DDMMYYYY);
		col.setColumnClass(Date.class);
		myCols.add(col);
		col = new ZEOTableModelColumn(eod, EOEnseignement.DATE_FIN_KEY, "Fin", 75);
		col.setAlignment(SwingConstants.CENTER);
		col.setFormatDisplay(CocktailFormats.FORMAT_DATE_DDMMYYYY);
		col.setColumnClass(Date.class);
		myCols.add(col);
		col = new ZEOTableModelColumn(eod, EOEnseignement.NB_H_ENSEIGNEMENT_KEY, "Heures", 75);
		col.setAlignment(SwingConstants.RIGHT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eod, EOEnseignement.STRUCTURE_KEY+"."+EOStructure.LL_STRUCTURE_KEY, "Structure", 300);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		myTableModel = new ZEOTableModel(eod, myCols);
		myTableSorter = new TableSorter(myTableModel);

		myEOTable = new ZEOTable(myTableSorter);
		//myEOTable.addListener(myListenerContrat);
		myTableSorter.setTableHeader(myEOTable.getTableHeader());		

		myEOTable.setBackground(CocktailConstantes.BG_COLOR_WHITE);
		myEOTable.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTable.setSelectionMode(ListSelectionModel.SINGLE_INTERVAL_SELECTION);

		viewTable.setLayout(new BorderLayout());
		viewTable.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTable.removeAll();
		viewTable.add(new JScrollPane(myEOTable), BorderLayout.CENTER);

	}

	public javax.swing.JButton getBtnAjouter() {
		return btnAjouter;
	}

	public void setBtnAjouter(javax.swing.JButton btnAjouter) {
		this.btnAjouter = btnAjouter;
	}

	public javax.swing.JButton getBtnAnnuler() {
		return btnAnnuler;
	}

	public void setBtnAnnuler(javax.swing.JButton btnAnnuler) {
		this.btnAnnuler = btnAnnuler;
	}

	public javax.swing.JButton getBtnDelStructure() {
		return btnDelStructure;
	}

	public void setBtnDelStructure(javax.swing.JButton btnDelStructure) {
		this.btnDelStructure = btnDelStructure;
	}

	public javax.swing.JButton getBtnGetStructure() {
		return btnGetStructure;
	}

	public void setBtnGetStructure(javax.swing.JButton btnGetStructure) {
		this.btnGetStructure = btnGetStructure;
	}

	public javax.swing.JButton getBtnModifier() {
		return btnModifier;
	}

	public void setBtnModifier(javax.swing.JButton btnModifier) {
		this.btnModifier = btnModifier;
	}

	public javax.swing.JButton getBtnSupprimer() {
		return btnSupprimer;
	}

	public void setBtnSupprimer(javax.swing.JButton btnSupprimer) {
		this.btnSupprimer = btnSupprimer;
	}

	public javax.swing.JButton getBtnValider() {
		return btnValider;
	}

	public void setBtnValider(javax.swing.JButton btnValider) {
		this.btnValider = btnValider;
	}

	public javax.swing.JTextField getTfDebut() {
		return tfDebut;
	}

	public void setTfDebut(javax.swing.JTextField tfDebut) {
		this.tfDebut = tfDebut;
	}

	public javax.swing.JTextField getTfFin() {
		return tfFin;
	}

	public void setTfFin(javax.swing.JTextField tfFin) {
		this.tfFin = tfFin;
	}

	public javax.swing.JTextField getTfHeures() {
		return tfHeures;
	}

	public void setTfHeures(javax.swing.JTextField tfHeures) {
		this.tfHeures = tfHeures;
	}

	public javax.swing.JTextField getTfStructure() {
		return tfStructure;
	}

	public void setTfStructure(javax.swing.JTextField tfStructure) {
		this.tfStructure = tfStructure;
	}

	public javax.swing.JPanel getViewHeuresComp() {
		return viewHeuresComp;
	}

	public void setViewHeuresComp(javax.swing.JPanel viewHeuresComp) {
		this.viewHeuresComp = viewHeuresComp;
	}

	public ZEOTable getMyEOTable() {
		return myEOTable;
	}

	public void setMyEOTable(ZEOTable myEOTable) {
		this.myEOTable = myEOTable;
	}


	

	

}
